﻿
&НаКлиенте
Процедура ПартииСчетИгрокПриИзменении(Элемент)
	// Вставить содержимое обработчика.
	ОбновитьИтог();
КонецПроцедуры

&НаКлиенте
Процедура ОбновитьИтог()
	текД = ЭтаФорма.Элементы.Партии.ТекущиеДанные;
	//Если ЗначениеЗаполнено(текД.СчетИгрок) И ЗначениеЗаполнено(текД.СчетСоперник) Тогда 
		текД.Итог = ?(текД.СчетИгрок > текД.СчетСоперник, 1, 0);	
	//КонецЕсли;
КонецПроцедуры

&НаКлиенте
Процедура ПередЗаписью(Отказ, ПараметрыЗаписи)
	рез = Объект.Партии.Итог("Итог");
	пкз = Объект.Партии.Количество()/2;
	стрРез = "" + рез + "-" + (Объект.Партии.Количество() - рез);
	Если рез > пкз Тогда 
		Объект.Результат = "Победа";
		//ОтправитьАбоненту(ПолучитьНомерСМС(),  ПолучитьИмяИгрока() + "-" + Объект.Соперник + "(" + Объект.РейтингСоперника + "). Счет " + стрРез + " Победа!");
	Иначе 
		Объект.Результат = "Поражение";
		//ОтправитьАбоненту(ПолучитьНомерСМС(), ПолучитьИмяИгрока() + "-" + Объект.Соперник + "(" + Объект.РейтингСоперника + "). Счет " + стрРез + ". Поражение...");
	КонецЕсли;
	Объект.Счет =  стрРез;
КонецПроцедуры

&НаКлиенте
Процедура ПриОткрытии(Отказ)
	ЭтаФорма.Элементы.Партии.ПодчиненныеЭлементы.ПартииСчетИгрок.Заголовок = ПолучитьИмяИгрока();
	Если ЗначениеЗаполнено(Объект.Соперник) Тогда 
		Элементы.Партии.ПодчиненныеЭлементы.ПартииСчетСоперник.Заголовок = Объект.Соперник;
	КонецЕсли;
	
	Если Объект.Партии.Количество() > 0 Тогда 
		Элементы.Добавить.Доступность = Ложь;	
	КонецЕсли;
КонецПроцедуры

&НаКлиенте
Процедура СоперникПриИзменении(Элемент)
	Элементы.Партии.ПодчиненныеЭлементы.ПартииСчетСоперник.Заголовок = Объект.Соперник;
КонецПроцедуры

&НаСервереБезКонтекста
Функция ПолучитьИмяИгрока()
	Возврат Константы.ИмяИгрока.Получить()	
КонецФункции

&НаСервереБезКонтекста
Функция ПолучитьНомерСМС()
	Возврат Константы.Оповещение.Получить()	
КонецФункции

&НаКлиенте
Функция ВыполнитьЗапрос(СтрокаЗапроса)
	Сервер ="sms.ru";
	//Адрес = "sms/send?api_id=bda04300-38ed-77a4-710c-2bbc162f4d6a&to=79051234567&text=hello+world";
	Адрес = СтрокаЗапроса + "&partner_id=5823";
	ИмяВременногоФайла = ПолучитьИмяВременногоФайла(".html");
	HTTP=Новый HTTPСоединение(Сервер);
	HTTP.Получить(Адрес ,ИмяВременногоФайла);
	Возврат ИмяВременногоФайла;
КонецФункции

&НаКлиенте
Функция ОтправитьАбоненту(НомерТелефона, ТекстСообщения)
	Ид = "";
	Попытка
		СтрокаЗапроса = "sms/send?"+ АпиИд() + "&to=" + НомерТелефона + "&text=" + ТекстСообщения;
		Ответ = ВыполнитьЗапрос(СтрокаЗапроса);
		Текст1 = Новый ЧтениеТекста(Ответ);
		Текст1.Открыть(Ответ);
		Код = Текст1.ПрочитатьСтроку();
		Ид = Текст1.ПрочитатьСтроку();
	Исключение
	КонецПопытки;
	Возврат Ид;
КонецФункции

&НаКлиенте
Функция АпиИд()
	Возврат "login=*******&password=****";
КонецФункции

&НаКлиенте
Процедура Добавить(Команда)
	ДобавитьРезультат();
	//СчетВы  = 0;
	//СчетСоперник = 0;
КонецПроцедуры

&НаСервере
Процедура ДобавитьРезультат()
	стр = Объект.Партии.Добавить();
	стр.СчетИгрок = СчетВы;
	стр.СчетСоперник = СчетСоперник;
	стр.Итог = ?(стр.СчетИгрок > стр.СчетСоперник, 1, 0);	
КонецПроцедуры

&НаКлиенте
Процедура СчетМойПриИзменении(Элемент)
	СчетВы = СчетМой;
КонецПроцедуры

&НаКлиенте
Процедура СчетСопПриИзменении(Элемент)
	СчетСоперник = СчетСоп;
КонецПроцедуры

&НаКлиенте
Процедура ПослеЗаписи(ПараметрыЗаписи)
	Оповестить("Тест", Объект.Ссылка);	
КонецПроцедуры
